---
layout: doc
title: System Documentation
permalink: /en/doc/system-doc/
redirect_from:
- /doc/SystemDoc/
- /wiki/SystemDoc/
---

System Documentation for Developers
===================================

Fundamentals
------------
 * [Qubes OS Architecture Overview](/en/doc/qubes-architecture/)
 * [Qubes OS Architecture Spec v0.3 [PDF]](/attachment/wiki/QubesArchitecture/arch-spec-0.3.pdf) (The original 2009 document that started this all...)
 * [Security-critical elements of Qubes OS](/en/doc/security-critical-code/)
 * Qubes RPC: [`qrexec` v2](/en/doc/qrexec/) ([R2 implementation](/en/doc/qrexec2-implementation/))
 * Qubes RPC: [`qrexec` v3](/en/doc/qrexec3/) ([R3 implementation](/en/doc/qrexec3-implementation/)) (Odyssey)
 * [Example for writing a `qrexec` service in Qubes OS (blog post)](http://theinvisiblethings.blogspot.com/2013/02/converting-untrusted-pdfs-into-trusted.html)
 * [Qubes GUI virtualization protocol](/en/doc/gui/)
 * [Networking in Qubes](/en/doc/qubes-net/)
 * [Implementation of template sharing and updating](/en/doc/template-implementation/)

Services
--------
 * [Inter-domain file copying](/en/doc/qfilecopy/) (deprecates [`qfileexchgd`](/en/doc/qfileexchgd/))
 * [Dynamic memory management in Qubes](/en/doc/qmemman/)
 * [Implementation of DisposableVMs](/en/doc/dvm-impl/)
 * [Article about disposable VMs](http://theinvisiblethings.blogspot.com/2010/06/disposable-vms.html)
 * [Dom0 secure update mechanism](/en/doc/dom0-secure-updates/)
 * VM secure update mechanism (forthcoming)

Debugging
---------
 * [Profiling python code](/en/doc/profiling/)
 * [Test environment in separate machine for automatic tests](/en/doc/test-bench/)
 * [Automated tests](/en/doc/automated-tests/)
 * [VM-dom0 internal configuration interface](/en/doc/vm-interface/)
 * [Debugging Windows VMs](/en/doc/windows-debugging/)

Building
--------
 * [Building Qubes](/en/doc/qubes-builder/) (["API" Details](/en/doc/qubes-builder-details/))
 * [Development Workflow](/en/doc/development-workflow/)
 * [KDE Dom0 packages for Qubes](/en/doc/kde-dom0/)
 * [How to build Qubes installation ISO](/en/doc/installation-iso-building/)
 * [Building Qubes OS 3.0 ISO](/en/doc/qubes-r3-building/)
 * [Building USB passthrough support (experimental)](/en/doc/usbvm/)
 * [Building a TemplateVM based on a new OS (ArchLinux example)](/en/doc/building-non-fedora-template/)
 * [Building the Archlinux Template](/en/doc/building-archlinux-template/)


