---
layout: doc
title: Qubes OS Documentation
permalink: /en/doc/
redirect_from:
- /doc/
- "/doc/UserDoc/"
- "/wiki/UserDoc/"
- "/doc/QubesDocs/"
- "/wiki/QubesDocs/"
---

Qubes OS Documentation
======================

The Basics
----------
 *  [A Simple Introduction to Qubes](/en/intro/)
 *  [Getting Started](/en/doc/getting-started/)
 *  [Users' FAQ](/en/doc/user-faq/)
 *  [Mailing Lists](/en/doc/mailing-lists/)
 *  [Further reading: How is Qubes different from...?](http://blog.invisiblethings.org/2012/09/12/how-is-qubes-os-different-from.html)
 *  [Further reading: Why Qubes is more than a collection of VMs](http://www.invisiblethingslab.com/resources/2014/Software_compartmentalization_vs_physical_separation.pdf)


Choosing Your Hardware
----------------------
 *  [System Requirements](/en/doc/system-requirements/)
 *  [Hardware Compatibility List (HCL)](/hcl)
 *  Qubes Certified Laptops ([coming soon!](https://twitter.com/Puri_sm/status/644963433293717504))


Installing Qubes
----------------
 *  [Use Qubes without installing: Qubes Live USB (alpha)](https://groups.google.com/d/msg/qubes-users/IQdCEpkooto/iyMh3LuzCAAJ)
 *  [How to Install Qubes](/en/doc/installation-guide/)
 *  [Qubes Downloads](/downloads/)
 *  [Why and How to Verify Signatures](/en/doc/verifying-signatures/)
 *  [Security Considerations when Installing](/en/doc/install-security/)


Common Tasks
------------
 *  [Copying and Pasting Text Between Domains](/en/doc/copy-paste/)
 *  [Copying and Moving Files Between Domains](/en/doc/copying-files/)
 *  [Copying Files to and from dom0](/en/doc/copy-to-dom0/)
 *  [Mounting USB Drives to AppVMs](/en/doc/stick-mounting/)
 *  [Updating Software in dom0](/en/doc/software-update-dom0/)
 *  [Updating and Installing Software in VMs](/en/doc/software-update-vm/)
 *  [Backup, Restoration, and Migration](/en/doc/backup-restore/)
 *  [Disposable VMs](/en/doc/dispvm/)
 *  [Managing Application Shortcuts](/en/doc/managing-appvm-shortcuts/)
 *  [Enabling Fullscreen Mode](/en/doc/full-screen-mode/)


Managing Operating Systems within Qubes
---------------------------------------
 *  [TemplateVMs](/en/doc/templates/)
 *  [Templates: Fedora - minimal](/en/doc/templates/fedora-minimal/)
 *  [Templates: Debian](/en/doc/templates/debian/)
 *  [Templates: Archlinux](/en/doc/templates/archlinux/)
 *  [Templates: Ubuntu](/en/doc/templates/ubuntu/)
 *  [Templates: Whonix](/en/doc/templates/whonix/)
 *  [Installing and Using Windows-based AppVMs (Qubes R2 Beta 3 and later)](/en/doc/windows-appvms/)
 *  [Creating and Using HVM and Windows Domains (Qubes R2+)](/en/doc/hvm-create/)
 *  [Advanced options and troubleshooting of Qubes Tools for Windows (R3)](/en/doc/windows-tools-3/)
 *  [Advanced options and troubleshooting of Qubes Tools for Windows (R2)](/en/doc/windows-tools-2/)
 *  [Uninstalling Qubes Tools for Windows 2.x](/en/doc/uninstalling-windows-tools-2/)
 *  [Upgrading the Fedora 20 Template](/en/doc/fedora-template-upgrade-20/)
 *  [Upgrading the Fedora 18 Template](/en/doc/fedora-template-upgrade-18/)
 *  [Tips for Using Linux in an HVM](/en/doc/linux-hvm-tips/)
 *  [Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)


Security Guides
---------------
 *  [Qubes OS Project Security Information](/en/security/)
 *  [Security Guidelines](/en/doc/security-guidelines/)
 *  [Understanding Qubes Firewall](/en/doc/qubes-firewall/)
 *  [Understanding and Preventing Data Leaks](/en/doc/data-leaks/)
 *  [Installing Anti Evil Maid](/en/doc/anti-evil-maid/)
 *  [Using Multi-factor Authentication with Qubes](/en/doc/multifactor-authentication/)
 *  [Using GPG more securely in Qubes: Split GPG](/en/doc/split-gpg/)
 *  [Configuring YubiKey for user authentication](/en/doc/yubi-key/)
 *  [Note regarding password-less root access in VM](/en/doc/vm-sudo/)


Configuration Guides
--------------------
 *  [Configuration Files](/en/doc/config-files/)
 *  [How to Install a Transparent Tor ProxyVM (TorVM)](/en/doc/torvm/)
 *  [How to set up a ProxyVM as a VPN Gateway](/en/doc/vpn/)
 *  [Storing AppVMs on Secondary Drives](/en/doc/secondary-storage/)
 *  [Where are my external storage devices mounted?](/en/doc/external-device-mount-point/)
 *  [Resizing AppVM and HVM Disk Images](/en/doc/resize-disk-image/)
 *  [Extending `root.img` Size](/en/doc/resize-root-disk-image/)
 *  [Installing ZFS in Qubes](/en/doc/zfs/)
 *  [Mutt Guide](/en/doc/mutt/)
 *  [Postfix Guide](/en/doc/postfix/)
 *  [Fetchmail Guide](/en/doc/fetchmail/)
 *  [Creating Custom NetVMs and ProxyVMs](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
 *  [How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
 *  [HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)
 *  [Adding Bridge Support to the NetVM (EXPERIMENTAL)](/en/doc/network-bridge-support/)
 *  [Assigning PCI Devices to AppVMs](/en/doc/assigning-devices/)
 *  [Enabling TRIM for SSD disks](/en/doc/disk-trim/)
 *  [Configuring a Network Printer](/en/doc/network-printer/)
 *  [Using External Audio Devices](/en/doc/external-audio/)
 *  [Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)
 *  [Rxvt Guide](/en/doc/rxvt/)


Customization Guides
--------------------
 *  [DispVM Customization](/en/doc/dispvm-customization/)
 *  [XFCE Installation in dom0](/en/doc/xfce/)
 *  [Customizing Fedora minimal templates](https://groups.google.com/d/topic/qubes-users/LkGNj-mCVHI/discussion)
 *  [Customizing Windows 7 templates](https://groups.google.com/d/topic/qubes-users/7pUubSz6Lxs/discussion)
 *  [Customizing the GUI experience with KDE](https://groups.google.com/d/topic/qubes-users/KhfzF19NG1s/discussion)
 *  [Language Localization](/en/doc/language-localization/)


Troubleshooting
---------------
 *  [Home directory is out of disk space error](/en/doc/out-of-memory/)
 *  [Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
 *  [How to install an Nvidia driver in dom0](/en/doc/install-nvidia-driver/)
 *  [Solving problems with Macbook Air 2012](https://groups.google.com/group/qubes-devel/browse_thread/thread/b8b0d819d2a4fc39/d50a72449107ab21#8a9268c09d105e69)
 *  [Getting Sony Vaio Z laptop to work with Qubes](/en/doc/sony-vaio-tinkering/)
 *  [Getting Lenovo 450 to work with Qubes](/en/doc/lenovo450-tinkering/)


Reference Pages
---------------
 *  [Dom0 Command-Line Tools](/en/doc/dom0-tools/)
 *  [DomU Command-Line Tools](/en/doc/vm-tools/)
 *  [Glossary of Qubes Terminology](/en/doc/glossary/)
 *  [Qubes Service Framework](/en/doc/qubes-service/)
 *  [Command Execution in VMs (and Qubes RPC)](/en/doc/qrexec/)


For Developers
--------------
 *  [System Documentation](/en/doc/system-doc/)
 *  [Developers' FAQ](/en/doc/devel-faq/)
 *  [How to Contribute to the Qubes OS Project](/en/doc/contributing/)
 *  [Reporting Security Issues](/en/security/)
 *  [Reporting Bugs](/en/doc/reporting-bugs/)
 *  [Source Code](/en/doc/source-code/)
 *  [Qubes OS Version Scheme](/en/doc/version-scheme/)
 *  [Coding Guidelines](/en/doc/coding-style/)
 *  [Documentation Guidelines](/en/doc/doc-guidelines/)
 *  [Books for Developers](/en/doc/devel-books/)
 *  [Research Papers](/en/doc/qubes-research/)
 *  [Qubes OS License](/en/doc/license/)
